Public API
  1. Users
Public API
  • Welcome to the deskbird Public API
  • Users
    • Lists company users
      GET
    • Retrieves a single company user
      GET
  • Bookings
    • Lists company bookings
      GET
    • Creates a new resource booking
      POST
    • Gets a single company booking
      GET
    • Updates an existing booking
      PATCH
    • Cancels a booking
      PATCH
    • Checks in to a booking
      PATCH
    • Releases a booking early
      PATCH
  • Groups
    • Lists company user groups
      GET
    • Retrieves a single company user group
      GET
  • Resources
    • Gets a resource by ID
      GET
    • Lists company resources
      GET
  • Offices
    • Lists company offices
      GET
    • Checks a user into an office
      POST
  • Scheduling
    • Lists company scheduling statuses
      GET
    • Deletes scheduling statuses by IDs
      DELETE
    • Adds new scheduling statuses for a user
      POST
  • Scheduling Options
    • Lists company scheduling options
      GET
  • Rooms
    • Lists company rooms
      GET
    • Gets a single room
      GET
    • Lists room bookings
      GET
    • Creates a room booking
      POST
    • Gets a single room booking
      GET
    • Updates a room booking
      PATCH
    • Checks in to a room booking
      PATCH
    • Cancels a room booking
      PATCH
  • Schemas
    • BookingStatus
    • Provider
    • ResourceType
    • GuestEmbeddedResponse
    • UserStatus
    • ResourceEmbeddedResponse
    • UserIncludeOptions
    • UserEmbeddedResponse
    • BookingResponse
    • PaginatedBookingResponse
    • AddressResponse
    • OfficeResponse
    • BookingHistoryResponse
    • ResourceResponse
    • EnvelopedOfficeResponse
    • PaginatedResourceResponse
    • CheckUserIntoOfficeBody
    • CreateBookingGuestDto
    • CreateBookingDto
    • UpdateBookingDto
    • CheckInDto
    • OpeningHourResponse
    • OpeningHoursResponse
    • SharedResourceAccessInfoResponse
    • DedicatedResourceAccessInfoResponse
    • SchedulingOutput
    • EquipmentResponse
    • UserStatusInput
    • AddUserStatusesInput
    • SchedulingOptionOutput
    • AttendeeResponse
    • RoomBookingResponse
    • PaginatedRoomBookingResponse
    • RoomBookingDetailedResponse
    • AttendeeDto
    • RoomResponse
    • PaginatedRoomResponse
    • CreateRoomBookingDto
    • UpdateRoomBookingDto
  1. Users

Lists company users

GET
/users
Retrieves a paginated list of company users. Supports filtering by providers, statuses, user group IDs, primary office IDs, and emails. Optional include parameter for additional user data (externalId, provider, settings, userGroups, officeRoles). Returns user details including user ID, name, email, role, primary office ID, status, and profile image URL. Pagination is supported through offset and limit parameters.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://connect.deskbird.com/users?offset&limit&providers&statuses&userGroupIds&primaryOfficeIds&emails&include' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
List of company users
Body

Examples
{
    "data": [
        {
            "id": "7f1bc237-3a9b-4f9d-a09f-6ae1ad1553a4",
            "firstName": "John",
            "lastName": "Doe",
            "email": "johnDoe@mycompany.com",
            "role": "user",
            "primaryOfficeId": "1",
            "status": "provisioned",
            "profileImage": "https://sample.url.com/deskbird-app/sample/avatars/2321"
        },
        {
            "id": "9ab83795-6230-442a-b1ff-81304f45f687",
            "firstName": "Marie",
            "lastName": "Curie",
            "email": "mariecurie@mycompany.com",
            "role": "admin",
            "primaryOfficeId": "1",
            "status": "provisioned",
            "profileImage": "https://sample.url.com/deskbird-app/sample/avatars/2321"
        }
    ],
    "offset": 0,
    "limit": 2,
    "total": 1441
}
🟠401Unauthorized
🟠403Forbidden
Previous
Users
Next
Retrieves a single company user
Built with